com.impinj.octane

## Class TagData

- java.lang.Object
- - com.impinj.octane.TagData

-     public class TagData
      extends java.lang.Object

  A class to hold tag data including EPCs, user memory data, TID memory etc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagData()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TagData` | `fromByteArray(byte[] data)` Creates a TagData object from an array of bytes
    `static TagData` | `fromByteList(java.util.List<java.lang.Byte> data)` Creates a TagData object from a List of bytes
    `static TagData` | `fromDoubleWord(long data)` Creates a TagData object from a long integer
    `static TagData` | `fromHexString(java.lang.String hex)` Creates a TagData object from a hexadecimal string
    `static TagData` | `fromWord(int data)` Creates a TagData object from an array of integers (words)
    `static TagData` | `fromWordArray(int[] data)` Creates a TagData object from an array of integers (words)
    `static TagData` | `fromWordList(java.util.List<java.lang.Integer> data)` Creates a TagData object from a List of Integers
    `int` | `getCountBytes()` Returns the size of the tag data in bytes
    `long` | `toDoubleWord()` Returns the value of a TagData object as a long integer
    `java.lang.String` | `toHexString()` Returns the value of a TagData object as a hexadecimal string
    `java.lang.String` | `toHexWordString()` Returns the value of a TagData object as a hexadecimal string with each 16-bit word separated by a space
    `java.lang.String` | `toString()` Returns the value of a TagData object as a hexadecimal string
    `java.util.List<java.lang.Integer>` | `toWordList()` Returns the value of a TagData object as a List of Integers

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TagData

          public TagData()

  - ### Method Detail

    - #### fromWordList

          public static TagData fromWordList(java.util.List<java.lang.Integer> data)
                                      throws OctaneSdkException

      Creates a TagData object from a List of Integers
      Parameters:
        `data` - The data to store in the TagData object
      Returns:
        A new TagData object containing the specified data
      Throws:
        `OctaneSdkException` - if the conversion fails

    - #### fromByteArray

          public static TagData fromByteArray(byte[] data)
                                       throws OctaneSdkException

      Creates a TagData object from an array of bytes
      Parameters:
        `data` - The data to store in the TagData object
      Returns:
        A new TagData object containing the specified data
      Throws:
        `OctaneSdkException` - if the conversion fails

    - #### fromWordArray

          public static TagData fromWordArray(int[] data)
                                       throws OctaneSdkException

      Creates a TagData object from an array of integers (words)
      Parameters:
        `data` - The data to store in the TagData object
      Returns:
        A new TagData object containing the specified data
      Throws:
        `OctaneSdkException` - if the conversion fails

    - #### fromWord

          public static TagData fromWord(int data)
                                  throws OctaneSdkException

      Creates a TagData object from an array of integers (words)
      Parameters:
        `data` - The data to store in the TagData object
      Returns:
        A new TagData object containing the specified data
      Throws:
        `OctaneSdkException` - if the conversion fails

    - #### fromByteList

          public static TagData fromByteList(java.util.List<java.lang.Byte> data)
                                      throws OctaneSdkException

      Creates a TagData object from a List of bytes
      Parameters:
        `data` - a list of bytes containing data The data to store in the TagData object
      Returns:
        A new TagData object containing the specified data
      Throws:
        `OctaneSdkException` - if the conversion fails.

    - #### fromHexString

          public static TagData fromHexString(java.lang.String hex)
                                       throws OctaneSdkException

      Creates a TagData object from a hexadecimal string
      Parameters:
        `hex` - A hexadecimal string representing the data to store in the TagData object
      Returns:
        A new TagData object containing the specified data
      Throws:
        `OctaneSdkException` - if the conversion fails

    - #### fromDoubleWord

          public static TagData fromDoubleWord(long data)
                                        throws OctaneSdkException

      Creates a TagData object from a long integer
      Parameters:
        `data` - The data to store in the TagData object
      Returns:
        A new TagData object containing the specified data
      Throws:
        `OctaneSdkException` - if the conversion fails

    - #### getCountBytes

          public int getCountBytes()

      Returns the size of the tag data in bytes
      Returns:
        The size of the tag data, in bytes

    - #### toWordList

          public java.util.List<java.lang.Integer> toWordList()

      Returns the value of a TagData object as a List of Integers
      Returns:
        The value of a TagData object as a List of Integers

    - #### toHexWordString

          public java.lang.String toHexWordString()

      Returns the value of a TagData object as a hexadecimal string with each 16-bit word separated by a space
      Returns:
        The value of a TagData object as a hexadecimal string with each 16-bit word separated by a space

    - #### toHexString

          public java.lang.String toHexString()

      Returns the value of a TagData object as a hexadecimal string
      Returns:
        The value of a TagData object as a hexadecimal string

    - #### toString

          public java.lang.String toString()

      Returns the value of a TagData object as a hexadecimal string
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The value of a TagData object as a hexadecimal string

    - #### toDoubleWord

          public long toDoubleWord()
                            throws OctaneSdkException

      Returns the value of a TagData object as a long integer
      Returns:
        The value of a TagData object as a long integer
      Throws:
        `OctaneSdkException` - if the data cannot fit into a long